Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455585 - Review Request: packagekit-qt - QT bindings for packagekit
Summary: Review Request: packagekit-qt - QT bindings for packagekit
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455700
TreeView+ depends on / blocked
 
Reported: 2008-07-16 13:22 UTC by Steven M. Parrish
Modified: 2009-01-09 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 14:05:36 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steven M. Parrish 2008-07-16 13:22:15 UTC
SPEC & SRPM are here http://tuxbrewr.fedorapeople.org/kpackagekit/
Description: QT bindings needed for kpackagekit

Build logs  http://koji.fedoraproject.org/koji/taskinfo?taskID=718807

Requires Qt4.4 so currently only builds for rawhide.  Will be included in F9 when KDE4.1 is released

Comment 1 Rex Dieter 2008-07-16 13:28:44 UTC
Quick comments:

1. Is BR: kdelibs-devel really needed here?  If so, use kdelibs4-devel instead.
2. Same for qt, use BR: qt4-devel >- 4.4
3. Preferable to use %{cmake} macro like:
%{cmake} .
instead of manually doing:
cmake . -DCMAKE_INSTALL_PREFIX=/usr/


Comment 2 Rex Dieter 2008-07-16 13:34:25 UTC
and
4.  add %changelog

Comment 3 Steven M. Parrish 2008-07-16 14:05:09 UTC
Done 

New build logs  http://koji.fedoraproject.org/koji/taskinfo?taskID=719895

Comment 4 Kevin Kofler 2008-07-18 16:14:06 UTC
Linking packagekit-qt to dbus-1 directly (and doing the pkg-config check for 
it) should not be necessary, QT_QTDBUS_LIBRARY should be enough.

Comment 5 Steven M. Parrish 2008-07-18 20:39:58 UTC
Fixed the dbus linking issue mentioned in comment #4.  New SPEC and SRPM in ths
usual spot

Comment 6 Rex Dieter 2008-07-22 13:56:31 UTC
I'll see about finishing this up.

Comment 7 Rex Dieter 2008-07-22 13:59:21 UTC
For posterity, please make sure to increment Release and make changelog 
entries for each pkg modification esp for those made during review.  I mention 
this only because I didn't see that for the mods made in comment #3 and 
comment #5

Comment 8 Rex Dieter 2008-07-22 14:04:13 UTC
5.  Imo, there's a needless -libs subpkg here.  I'd recommend getting rid of 
it, put the -libs files into the main (packagekit-qt) pkg.

6.  -devel should
Requires: cmake
for ownership of %{_datadir}/cmake

just noticed, both packagekit-qt and kpackagekit reviews are coming from the 
same tarball.  Why did you submit these separately?

Comment 9 Steven M. Parrish 2008-07-22 19:39:41 UTC
As discussed looks like we have to go with 2 seperate packages. We can start
here since kpackagekit requires this package.  SPEC and SRPM in the normal spot.
 Build logs here  http://koji.fedoraproject.org/koji/taskinfo?taskID=732307

Comment 10 Rex Dieter 2008-07-22 19:47:46 UTC
You missed item 5.

7. Not that it matters much, but the main pkg should be
Group: System Environment/Libraries
and -devel
Group: Development/Libraries

license confirmed GPLv2+ (though there's what looks to be some truncation or 
typos in the source headers in places)

source confirmed:
5dd2cffe88091c495f93ffd256faa68e  84745-kpackagekit-0.1-b3.tar.bz2

itesm 5,7 are mostly cosmetic, and I'll trust will be addressed before 
building.  APPROVED.

Comment 11 Steven M. Parrish 2008-07-22 20:01:48 UTC
New Package CVS Request
=======================
Package Name: packagekit-qt
Short Description: Qt interface for PackageKit.
Owners: tuxbrewr
Branches: F9
InitialCC: rdieter, kkofler
Cvsextras Commits: yes


Comment 12 Kevin Fenzi 2008-07-23 03:08:58 UTC
cvs done.

Comment 13 Ville Skyttä 2008-09-10 21:31:54 UTC
Hm, there's a few problems/oddities with the latest in CVS (devel):

Only a -devel binary package is produced.  It contains the (versioned) shared object which I suppose would be enough at runtime non-devel use.  If so, the versioned *.so.* should be moved to the main, non-devel package and -devel made dependent on it.  Oh, I see Rex already mentioned these (see comments 8 and 10); they remain unaddressed though.

There are no %post/%postun /sbin/ldconfig calls even though a shared object is installed into system lib dirs - is that intentional?

-devel appears to be lacking some dependencies, see #includes in *.h.  At least some qt headers are needed (perhaps (not verified) Requires: qt4-devel?)

Comment 14 Steven M. Parrish 2009-01-09 14:05:36 UTC
Package is dead and has been EOL'd


Note You need to log in before you can comment on or make changes to this bug.